import ParameterTypes from "@site/src/components/ParameterTypes"

# AddRulesDTO

The rules to add to a price set.

## Properties

<ParameterTypes parameters={[
  {
    "name": "priceSetId",
    "type": "`string`",
    "description": "The ID of the price set to add the rules to.",
    "optional": false,
    "defaultValue": "",
    "expandable": false,
    "children": []
  },
  {
    "name": "rules",
    "type": "`object`[]",
    "description": "The rules to add to a price set.",
    "optional": false,
    "defaultValue": "",
    "expandable": false,
    "children": [
      {
        "name": "attribute",
        "type": "`string`",
        "description": "The value of the rule's `rule_attribute` attribute.",
        "optional": false,
        "defaultValue": "",
        "expandable": false,
        "children": []
      }
    ]
  }
]} />
